libaio (0.3.113-8deepin1) unstable; urgency=medium

  * Revert t64.

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 30 Aug 2024 14:14:00 +0800

libaio (0.3.113-8) unstable; urgency=medium

  * Add a backwards compatibility symlink for the libaio.so.1 SONAME in the
    udeb, as the SONAME bump we did was ABI compatible, but just done to
    avoid stomping over upstream interface, where this is not a concern
    for the d-i system. (Closes: #1067831)

 -- Guillem Jover <guillem@debian.org>  Thu, 28 Mar 2024 01:01:37 +0100

libaio (0.3.113-7) unstable; urgency=medium

  * Do not mark test suite as flaky on riscv64 and x32, these ports now work
    as expected.
  * Hardcode list of ports that cannot check for a readable PROT_WRITE, and
    instead expect the return value to be SIZE. This includes hppa, sparc
    and loong64.

 -- Guillem Jover <guillem@debian.org>  Wed, 06 Mar 2024 13:20:49 +0100

libaio (0.3.113-6) unstable; urgency=medium

  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Add time64 support:
    - Remove dead code for syscall handling.
    - Refactor code to use an internal implementation for public functions
      that handle timespec, by switching them to always use __kernel_timespec,
      and add conversion functions to map from 'struct timespec' to
      'struct __kernel_timespec', and from 'struct __kernel_timespec' to
      'struct __kernel_old_timespec'.
    - Add support for io_pgetevents_time64() Linux syscall, but disable it
      for now as it only works on 32-bit kernels, but not on the compat
      mode in 64-bit kernels running 32-bit userland, will be fixed in Linux
      in parallel, as the timeouts used are supposed to be relative anyway,
      and this does not and will not break ABI.
    - Add dual time32/time64 ABI support by adding io_getevents_time64() and
      io_pgetevents_time64() library functions on 32-bit architectures, that
      get redirected from the io_getevents() and io_pgetevents() functions
      when the user sets _TIME_BITS=64.
    - Perform a SONAME bump to avoid stomping on upstream SONAME. Once and if
      the new symbols are accepted by upstream then we can merge that back
      into libaio.so.1 and drop the t64 packages and temporarily provide
      a compat symlink for the t64 SONAME for a smooth transition back. This
      should also be an easier way to revert this transition when there are
      no file conflicts involved, and does not block on upstream support.
    - Do not rename the udeb from libaio1-udeb, as d-i does not care, and
      that would require a pointless trip through NEW. But update the shlibs
      references for the libaio1t64 rename.
    - We do not need a dependency on a newer dpkg-dev nor gcc as we are
      explicitly handling the time64 dual-ABI independently of the toolchain.
    Closes: #1062218

 -- Guillem Jover <guillem@debian.org>  Tue, 05 Mar 2024 11:33:54 +0100

libaio (0.3.113-5) unstable; urgency=medium

  * Wrap fields in debian/tests/control.
  * Fix upstream build system to remove all test artifacts on clean.
    Reported by Lucas Nussbaum <lucas@debian.org>.

 -- Guillem Jover <guillem@debian.org>  Sun, 06 Aug 2023 21:12:34 +0200

libaio (0.3.113-4) unstable; urgency=medium

  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Do not trim debian/changelog.
  * Update debian/patches metadata.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 01:35:12 +0100

libaio (0.3.113-3) unstable; urgency=medium

  * Add upstream/metadata fields for bug submitting and database.
  * Update lintian overrides.
  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Move debian/copyright Source field immediately after Format field.
  * Export DEB_BUILD_MAINT_OPTIONS and DEB_CFLAGS_MAINT_PREPEND.
  * Switch from hardening=+bindnow to hardening=+all.
  * Enable future=+lfs build feature as it does not affect the shared library
    ABI, but affects the test harness.

 -- Guillem Jover <guillem@debian.org>  Sun, 04 Dec 2022 18:06:09 +0100

libaio (0.3.113-2) unstable; urgency=medium

  * Skip new test case 23, which was added upstream for a kernel regression,
    so we are not worse off than before. Its failure was known and being
    looked at upstream.

 -- Guillem Jover <guillem@debian.org>  Tue, 19 Apr 2022 15:57:07 +0200

libaio (0.3.113-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches taken from upstream, now unneeded.
    - Remove -Werror removal patch, as we override CFLAGS.
    - Refresh patches.
    - Update copyright years.
  * Add support for the noudeb build profile.

 -- Guillem Jover <guillem@debian.org>  Tue, 19 Apr 2022 03:22:49 +0200

libaio (0.3.112-13) unstable; urgency=medium

  * Pass CPPFLAGS to linker command, which as a side effect makes the
    build reproducible on differing build pathnames.

 -- Guillem Jover <guillem@debian.org>  Thu, 11 Nov 2021 04:56:01 +0100

libaio (0.3.112-12) unstable; urgency=medium

  * Add patch from upstream to fix test suite warning with gcc-11.
  * Fix LTO build by using symver function attribute instead of .symver
    __asm__ statement. (Closes: #998309)

 -- Guillem Jover <guillem@debian.org>  Wed, 03 Nov 2021 00:56:45 +0100

libaio (0.3.112-11) unstable; urgency=medium

  * Use CC as a shell variable instead of a make one in autopkgtests.
  * Fix typos in io(3) man page.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Oct 2021 06:34:12 +0200

libaio (0.3.112-10) unstable; urgency=medium

  * Add autopkgtests.
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Ship all man pages again, now that the redundant ones are no longer
    present, and the ones that describe the interfaces in the library live
    in section 3 which do not conflict with the ones in manpages-dev.
    (Closes: #995110)
  * Stop shipping upstream TODO file in libaio-dev.
  * List pathnames explicitly in debhelper .install fragment files, instead
    of using over matching globs.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Oct 2021 17:31:09 +0200

libaio (0.3.112-9) unstable; urgency=medium

  * Remove Build-Depends on dpkg-dev, satisfied in stable.
  * Switch to debhelper compatibility level 13.
  * Do not pass ChangeLog to dh_installchangelogs, now handled by default.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Switch to the dh sequencer.
  * Add debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 15:41:17 +0100

libaio (0.3.112-8) unstable; urgency=medium

  * Add a comment with the reason for each architecture being in the flaky
    test suite mode.
  * Remove temporary forced flaky test suite run on architectures built under
    an emulator, and move them to the permanent flaky list.
  * Add x32 to the flaky test suite mode list, it's still failing on the build
    daemons, even though it worked locally.
  * Remove no longer needed TESTS_RUN logic, and inline the nocheck condition.

 -- Guillem Jover <guillem@debian.org>  Mon, 13 Apr 2020 02:58:47 +0200

libaio (0.3.112-7) unstable; urgency=medium

  * Cleanup patches:
    - Move upstream patches under debian/patches/upstream/.
    - Fix syscall definitions for ARM and ia64 to match the kernel exactly.
      Otherwise the preprocessor emits warnings about redefinitions.
    - Split the architecture support patches into one per arch support.
    - Fix syscall definitions for hppa to match the kernel exactly.
    - Make __X32_SYSCALL_BIT an unsigned long constant to match the kernel.
    - Fix x32 structures padding.
    - Rework build system patches to ready them for upstream submission,
      and drop libdevdir support which we do not use anymore.
  * Fix logic inversion in test suite flaky handling.
  * Remove trailing closing parenthesis from TESTS_RUN conditional.
  * Print a message when we run the test suite in flaky mode.
  * Remove armhf from the test suite flaky mode.

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Apr 2020 04:49:39 +0200

libaio (0.3.112-6) unstable; urgency=medium

  * Sync with upstream commits:
    - Rebase against latest upstream git master.
    - Skip the test if io_pgetevents() is not implemented.
  * Switch to Standards-Version 4.5.0 (no changes needed).
  * Do not pass --add-udeb to dh_makeshlibs anymore, it's autodetected since
    debhelper 12.3, for which we add an explicit versioned Build-Depends.
  * Use correct syscall numbers for x32 port.
  * Make the testsuite fatal on architectures known to pass it, to avoid
    future regressions.
  * Temporarily force a flaky test suite run on architectures built under
    and emulator, to get test results.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 Apr 2020 19:06:49 +0200

libaio (0.3.112-5) unstable; urgency=medium

  * Sync with upstream commits:
    - Make test suite failures fatal, so we ignore errors for now, until it
      passes at least in all release architectures.
    - Add support for SKIPable tests.
    - Allow running tests against the installed library, which will make
      possible to add autopkgtests.
    - Fix test case 5.t, by using a write() instead of a read() to force the
      kernel to read from the unreadable buffer.
  * Add a workaround to io_pgetevents() for 32-bit userland running on
    64-bit kernels to cope with the broken compat kernel syscall, which uses
    a 64-bit pointer instead of a 32-bit one, and eats the sigset_t size
    member which makes it then fail a consistency check and return -EINVAL.
    This fixes test case 22.t. The kernel fix is being prepared as well.
  * Add more detailed error messages to test case 22.t.

 -- Guillem Jover <guillem@debian.org>  Fri, 16 Aug 2019 05:11:10 +0200

libaio (0.3.112-4) unstable; urgency=medium

  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Switch to debhelper compatibility level 12.
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Test suite fixes:
    - Fix the attempt_rw READ call to be arch-dependent instead of making
      it the WRITE call. Thanks to Jeff Moyer <jmoyer@redhat.com>.

 -- Guillem Jover <guillem@debian.org>  Fri, 02 Aug 2019 05:33:44 +0200

libaio (0.3.112-3) unstable; urgency=medium

  * Test suite fixes:
    - Fix logic inversion in EINVAL check.
    - Revert making the test suite fatal on failures, as the Debian buildd
      setup is peculiar enough to make at least two tests fail. This will
      need further work.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Feb 2019 05:26:21 +0100

libaio (0.3.112-2) unstable; urgency=medium

  * Test suite fixes:
    - Make RISC-V use SYS_eventfd2 instead of unavailable SYS_eventfd.
    - Add fallback code for filesystems not supporting O_DIRECT.
    - Handle -ENOTSUP in addition to -EINVAL from io_submit() with RWF_NOWAIT.
    - The WRITE call does not change across different arches anymore.
    - Make the test exit with a code matching the pass/fail state.
      This will turn test suite errors into fatal build problems.

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Feb 2019 03:14:38 +0100

libaio (0.3.112-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Remove patches merged upstream.
    - Add new patch to fix error due to -Werror=sizeof-pointer-memaccess.
    - Split man page cleanup into logic changes, and further improve the
      formatting, markup, typo fixes, etc.
  * Use expanded symbol file instead of matching on symver. Even though
    upstream manages versioned symbols correctly, being explicit makes it
    safer against accidental changes.
  * Add a Build-Depends-Package field to the symbols file.
  * Only install upstream TODO into libaio-dev.
  * Remove support for old debug symbol package migration.
  * Add comment for dpkg-dev versioned Build-Depends.
  * Perform a proper and correct /usr-merge transition by moving the package
    contents from / to /usr.
  * Now using Standards-Version 4.3.0 (no changes needed).
  * Remove unused make variables from debian/rules.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Feb 2019 02:56:55 +0100

libaio (0.3.111-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Fix x32 support. (Closes: #883904)
    - Add riscv64 support. (Closes: #893003)
  * Fix cross-building by not invoking getconf for PAGESIZE, and instead
    getting the value at run-time.
  * Do not pass -fomit-frame-pointer as part of the required compiler flags.
  * Remove now always unused lintian override, as upstream requires linking
    against libc everywhere for its syscall(3) usage.
  * Mark libaio-dev as Multi-Arch same.
  * Now using Standards-Version 4.1.3 (no changes needed).
  * Switch to debhelper compatibility level 11.

 -- Guillem Jover <guillem@debian.org>  Sun, 18 Mar 2018 02:58:44 +0100

libaio (0.3.110-5) unstable; urgency=medium

  * Line-wrap and sort debian/control fields.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Use dpkg buildtools.mk fragment to set a correct CC.
  * Set Rules-Requires-Root to no.
  * Switch to debian/watch format version 4.
  * Fix regex in debian/watch file to not include extension in the version.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 16:26:47 +0100

libaio (0.3.110-4) unstable; urgency=medium

  * Update upstream URLs to point to pagure.io instead of obsolete
    fedorahosted.org site.
  * Switch to debhelper compatibility level 10.
  * Now using Standards-Version 4.0.1 (no changes needed).
  * Move location of LGPL in Debian systems into a Comment field in
    debian/copyright.
  * Use -a instead of deprecated -s in debhelper commands.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Aug 2017 00:29:32 +0200

libaio (0.3.110-3) unstable; urgency=medium

  * Use https for hadrons.org and debian.org URLs.
  * Switch debug package to a ddeb.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable hardening bindnow feature.
  * Update URL in debian/watch.
  * Fix typos in man pages, reported by lintian.
  * Now using Standards-Version 3.9.8 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2016 20:38:08 +0200

libaio (0.3.110-2) unstable; urgency=medium

  * Use https for the debian/copyright Format URL.
  * Switch Vcs-Browser to a cgit URL.
  * Update Homepage URL to new release site.
    Prompted by Sedat Dilek <sedat.dilek@gmail.com>.
  * Use https in debian/watch URL.
  * Add a small note on each long package description explaining what is
    contained on each package.
  * Document each patch.

 -- Guillem Jover <guillem@debian.org>  Tue, 29 Sep 2015 16:48:30 +0200

libaio (0.3.110-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Link against -lc and -Wl,--as-needed so that we pull the required
    fortified functions from the internal libc_nonshared.a, but do not link
    against the shared library because we do not use any of its symbols.
    (Closes: #764509)
  * Switch debian/copyright to machine-readable format 1.0.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Switch to debhelper compatibility level 9.
  * Fix mips/mipsel syscall wrappers to return correct error values.
    Thanks to Jurica Stanojkovic <Jurica.Stanojkovic@rt-rk.com>.
  * Add mips64 support. Reported by Jeremy Fitzhardinge <jeremy@exablox.com>.

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Oct 2014 05:44:48 +0200

libaio (0.3.109-4) unstable; urgency=low

  * Now using Standards-Version 3.9.4 (no changes needed).
  * Remove package creation information from debian/copyright.
  * Update upstream git URL in debian/copyright.
  * Add support for x32 (from the Yocto project). (Closes: #702183)
    Thanks to Daniel Schepler <dschepler@gmail.com>.
  * Add support for arm64 (stolen from upstream). (Closes: #702409)
    Thanks to Ian Campbell <ijc@hellion.org.uk>.
  * Add cross-compilation support.
    Based on a patch by Ian Campbell <ijc@hellion.org.uk>.
  * Update debian/watch file to a working URL.

 -- Guillem Jover <guillem@debian.org>  Mon, 06 May 2013 18:56:19 +0200

libaio (0.3.109-3) unstable; urgency=low

  * Escape backslash in man pages. (Closes: #651833)
    Thanks to Stephan Springl <springl-libaio@bfw-online.de>.
  * Do not install man pages now provided by manpages-dev. (Closes: #650108)
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 21 Jun 2012 09:21:59 +0200

libaio (0.3.109-2) unstable; urgency=low

  * Add a symbols file for libaio1.
  * Remove heading ‘./’ from lintian-override tag.
  * Fix FTBFS with newer gcc 4.6: (Closes: #638848)
    - Do not build the test-suite with -Werror.
    - Use unused waitpid() return code variables to assert valid values.
  * Make shared library packages multiarch:
    - Build-Depend on debhelper 8.1.3.
    - Add misc:Pre-Depends substvar to Pre-Depends field in libaio1.
    - Add “Multi-Arch: same” field to libaio1 and libaio1-dbg.
    - Change paths from lib/ to lib/* in install and lintian-override files.
    - Define DEB_HOST_MULTIARCH and use it to set libdir and libdevdir.
  * Install all libaio io*.3 man pages. (Closes: #418048)
  * Do not install man pages for functions coming from libc, the aio*
    and lio_listio* man pages are already shipped by manpages-dev.
  * Merge adapted changes from Ubuntu. (Closes: #588112)
    - Change Priority from extra to optional.
    - Add support for sparc64 and hppa 64-bit architectures.
  * Set libaio1-dbg Priority back to extra.
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Tue, 30 Aug 2011 16:54:22 +0200

libaio (0.3.109-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Update watch file to point to the new upstream URL at kernel.org.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * Add missing ${misc:Depends} to eveyr package Depends fields.
  * Switch Architecture field list to just linux-any, and although the
    code will not automatically support new Linux architectures, as it
    will miss the syscall-<arch>.h header support among others, it just
    needs to be ported, and this way it's easier to spot. This implicitly
    adds amrhf support. (Closes: #596996)
  * Add a Homepage field. (Closes: #566338)

 -- Guillem Jover <guillem@debian.org>  Sun, 27 Feb 2011 05:22:27 +0100

libaio (0.3.107-7) unstable; urgency=low

  * Add support for sh3 and sh4. (Closes: #535288)
    Thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 13:02:34 +0200

libaio (0.3.107-6) unstable; urgency=low

  * Workaround debhelper compat v7 bug (#534565) in dh_install which makes
    files end up under /debian/tmp/ in the binary package, by not passing
    --sourcedir to dh_install. (Closes: #533359, #532644)
  * Pass -s to arch dependent debhelper commands.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jun 2009 14:11:25 +0200

libaio (0.3.107-5) unstable; urgency=low

  * Change libaio1-dbg section to debug.
  * Fix build failure in test suite on non-i386 32 bit architectures.
  * Fix man pages errors and warnings.

 -- Guillem Jover <guillem@debian.org>  Wed, 10 Jun 2009 06:09:52 +0200

libaio (0.3.107-4) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Remove libaio1.dirs, unneeded due to dh_lintian taking care of it.
  * Run the test suite on all architectures and not only on i386.
  * Now using Standards-Version 3.8.1 (no changes needed).
  * Switch the upstream repository reference from CVS to git.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Jun 2009 19:40:54 +0200

libaio (0.3.107-3) unstable; urgency=low

  * Fix the Vcs-Git URL.
  * Remove XB- from the Package-Type field.
  * Fix watch file URL. (Closes: #502884)
    Thanks to Jiří Paleček <jpalecek@web.de>.

 -- Guillem Jover <guillem@debian.org>  Mon, 20 Oct 2008 20:36:43 +0300

libaio (0.3.107-2) unstable; urgency=low

  * Only run the test suite on i386 as it has not been ported for other
    architectures. (Closes: #488812)
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Do not check for the existence of the Makefile on clean, it's always
    there.
  * Switch to use dh_lintian instead of manually installing the overrides.
    - Bump the versioned debhelper Build-Depends to 6.0.7.

 -- Guillem Jover <guillem@debian.org>  Wed, 09 Jul 2008 05:32:30 +0300

libaio (0.3.107-1) unstable; urgency=low

  * New upstream release.
  * Run the test suite on install, and support nocheck DEB_BUILD_OPTIONS
    to disable it.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Jun 2008 09:03:54 +0300

libaio (0.3.106-9) unstable; urgency=low

  * Fix misspelled words (linux -> Linux and aio -> AIO).
  * Update packaging Vcs fields to the new URL.
  * Improve debian/copyright:
    - Change 'Copyright Holder' to 'Copyright Holders'.
    - Use UTF-8 copyright sign.
    - Update upstream download url.
    - Refer to LGPL-2.1 from common-licenses instead of just LGPL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab. (Closes: #484962)
  * Update watch file URL. (Closes: #450017)

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 07:42:52 +0300

libaio (0.3.106-8) unstable; urgency=low

  * Install shared library under /lib, needed by multipath binaries which
    reside under /sbin. (Closes: #441244)
    - debian/patches/02_libdevdir.patch: New file.
  * Add a debugging symbols library package.
  * Add Vcs-Browser and Vcs-Git fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Sep 2007 04:29:22 +0300

libaio (0.3.106-7) unstable; urgency=low

  * Add a new library udeb needed for multipath support. (Closes: #440320)

 -- Guillem Jover <guillem@debian.org>  Thu, 06 Sep 2007 03:11:08 +0300

libaio (0.3.106-6) unstable; urgency=low

  * Link against libgcc to avoid unresolved symbols on at least hppa.
    - debian/01_link_libgcc.patch: New file.
    Thanks to Steve Langasek <vorlon@debian.org> for the analysis.
  * Add shlibs:Depends substvar back into libaio1 Depends, since we link
    against an external library now (although it might not be used on any
    architecture).

 -- Guillem Jover <guillem@debian.org>  Mon, 06 Aug 2007 04:50:18 +0300

libaio (0.3.106-5) unstable; urgency=low

  * Do not ignore 'make clean' errors on clean.
  * Support build-arch and build-indep in debian/rules:
    - Rename install to install-arch.
    - Rename build to build-arch.
    - Add an empty build target that depends on build-arch and build-indep.
  * Switch directory variables to simply expanded ones in debian/rules.
  * Use binary:Version instead of the deprecated Source-Version substvar.
  * Remove Tag field as it does not seem to make much sense to include it
    in the packages.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Jul 2007 09:19:26 +0300

libaio (0.3.106-4) unstable; urgency=low

  * Add armeb and armel to the Architecture fields.

 -- Guillem Jover <guillem@debian.org>  Fri, 19 Jan 2007 06:48:26 +0200

libaio (0.3.106-3) unstable; urgency=low

  * Fix a typo in the arm io_syscall5 macro, making the library end up
    with unresolvable symbols. (Closes: #393156)
    Thanks to Marcin Juszkiewicz <debian-bugs@hrw.one.pl>.

 -- Guillem Jover <guillem@debian.org>  Mon, 16 Oct 2006 10:44:02 +0300

libaio (0.3.106-2) unstable; urgency=low

  * Use quilt for patching:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
  * Add support for arm, hppa, m68k, mips, mipsel and sparc. Those have yet
    to be tested with the harness test suite and pass it.
  * Add a Tag: field to all binary packages.

 -- Guillem Jover <guillem@debian.org>  Tue, 19 Sep 2006 00:48:10 +0300

libaio (0.3.106-1) unstable; urgency=low

  * New Upstream Release. (Closes: #384268)
    - Fix .endp being outside of procedure on ia64 with new binutils.
      (Closes: #385373)

 -- Guillem Jover <guillem@debian.org>  Fri,  1 Sep 2006 05:51:36 +0300

libaio (0.3.104-2) unstable; urgency=low

  * New Maintainer.
  * Provide a new binary package libaio-dev, with the static library
    the .so symlink and the manpages. (Closes: #318795)
  * Add debian/libaio-dev.install.
  * Add debian/libaio-dev.manpages.
  * Rename the binary package libaio to libaio1 to match the soname, no
    transition package as no one depends on it.
  * Rename debian/lintian.override to debian/libaio1.lintian.
  * Remove shlib-missing-in-control-file lintian override as we provide
    now the shlibs file.
  * Only put "usr/share/lintian/override" in libaio1.dirs.
  * Remove temporal debhelper leftover files:
    - debian/libaio-0.3.104.postinst.debhelper
    - debian/libaio-0.3.104.postrm.debhelper
  * Add amd64 to the Architecture fields. (Closes: #335352)
  * Switch to debhelper compat level 5.
  * Now using Standards-Version 3.7.2.
  * Change Priority from optional to extra.
  * Specify in the package description that this library is for Linux.
  * Remove unneeded debian/dirs file.
  * Remove debian/debianize.patch, we actually want the .so symlink
    and the .a library when doing "make install".
  * Clean up debian/rules:
    - Do not use stamp files.
    - Remove unused comments.
    - Remove unused configure target.
    - Do not pass DESTDIR to make as it is not using it.
  * Complete debian/copyright:
    - Add copyright holder information.
    - Add the LGPL license snippet.
    - Specify a download url which actually works.
  * Add a watch file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Aug 2006 05:45:36 +0300

libaio (0.3.104-1) unstable; urgency=low

  * Initial Release.

 -- William Lee Irwin III <wli@holomorphy.com>  Fri, 22 Apr 2005 14:49:28 -0700
